Bug 843777 - Run common python checkers (pyflakes, pylint, pep8, doctest) on Node's python sources
Run common python checkers (pyflakes, pylint, pep8, doctest) on Node's python...
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ryan Barry
Depends On: 843753 843776 843784 node-storage-rewrite
  Show dependency treegraph
Reported: 2012-07-27 06:51 EDT by Fabian Deutsch
Modified: 2013-11-28 10:08 EST (History)
6 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-28 06:59:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-07-27 06:51:23 EDT
Description of problem:
This is a tracker bug to track the different bugs which prevent the usage of some common python checkers on Node's python sources.
Comment 1 Mike Burns 2013-02-05 09:32:57 EST
need to make this a default in 2.7.0
Comment 2 Fabian Deutsch 2013-04-17 11:47:45 EDT
The following patches add check targets to the src/Makefile


A check can be run by running make check-local

Note You need to log in before you can comment on or make changes to this bug.